Bug 1008026 - php-gettext in php-common and missing php-php-gettext Obsoletes
php-gettext in php-common and missing php-php-gettext Obsoletes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php-gettext (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1008027
  Show dependency treegraph
 
Reported: 2013-09-13 16:10 EDT by Michael Schwendt
Modified: 2014-07-19 14:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-19 14:11:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-09-13 16:10:02 EDT
Posted to devel list and package owners on 21 Aug 2013:

What's the full story here?

php-gettext
    php-gettext-0:1.0.11-5.fc20.noarch  isn't obsoleted
    php-gettext-0:1.0.11-4.fc19.noarch  isn't obsoleted
    php-gettext-0:1.0.11-3.fc18.noarch  isn't obsoleted
    php-gettext-0:1.0.9-3.fc15.noarch  is oldest
    php-gettext < 0:1.0.11-3  obsoleted by  php-php-gettext-0:1.0.11-8.fc20.noarch

Searching a bit, there has been a rename to php-php-gettext and plans to
retire php-gettext because it conflicts with the core module, but the
package has been kept in the dist and mass-rebuilt several times:
http://koji.fedoraproject.org/koji/packageinfo?packageID=9618

So, meanwhile, the Obsoletes tag is insufficient, and the package
is available again. Is this intentional? Else, please retire it:
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

# repoquery --whatprovides php-gettext
php-common-0:5.5.2-1.fc19.x86_64
php-common-0:5.5.2-1.fc19.i686
php-common-0:5.5.0-0.10.RC3.fc19.i686
php-common-0:5.5.1-1.fc19.x86_64
php-gettext-0:1.0.11-4.fc19.noarch
php-common-0:5.5.0-0.10.RC3.fc19.x86_64
php-common-0:5.5.1-1.fc19.i686
Comment 1 Robert Scheck 2013-09-13 16:43:32 EDT
See https://bugzilla.redhat.com/show_bug.cgi?id=727000, so php-gettext (this
package) needs to be orphaned. However I am not the owner of the package, just
of php-php-gettext. Don't know why this has not happened so far, let's ask the
owner...
Comment 2 Michael Schwendt 2013-09-13 17:12:09 EDT
I've marked the package "dead" in git for f18, f19, f20 and master, so no mass-rebuild bumps it once again.

 * Retiring it in pkgdb is missing.

 * Koji block request (f20 and master) in Fedora rel-eng tracker is missing.

 * php-php-gettext would need to

  Obsoletes: php-gettext < 1.0.11-6

to be safe. Latest published build is php-gettext-0:1.0.11-5.fc20.noarch, but that one can be withdrawn, so if filing the block request first, the Obsoletes tag could be made < 1.0.11-5.
Comment 3 Michael Schwendt 2013-09-13 17:14:49 EDT
Added "php-gettext" to my currently open block request:
https://fedorahosted.org/rel-eng/ticket/5768
Comment 4 Michael Schwendt 2013-09-16 10:47:21 EDT
* koji block request has been completed

* php-php-gettext "Obsoletes: php-gettext < 1.0.11-5" has been committed and built in Rawhide branch
Comment 5 Robert Scheck 2014-07-19 14:11:28 EDT
Michael, thank you for solving this - I think that this can be closed now.

Note You need to log in before you can comment on or make changes to this bug.